Bug 494605 - Update Requires for numpy split
Summary: Update Requires for numpy split
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pygame
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 494113
TreeView+ depends on / blocked
 
Reported: 2009-04-07 15:35 UTC by Gwyn Ciesla
Modified: 2009-04-17 20:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-15 19:19:12 UTC


Attachments (Terms of Use)

Description Gwyn Ciesla 2009-04-07 15:35:27 UTC
--summary

Comment 1 Gwyn Ciesla 2009-04-07 18:14:40 UTC
Sorry, first time using python-bugzilla.  Here's that I meant to place there:

Your package currently Requires numpy.  Soon, numpy will split out -doc and
-f2py subpackages.  If your package does not use f2py, you need do nothing,
simply note that here and close this bug.  If your package does use f2py,
comment here, and I'll make sure you're notified when the split hits rawhide,
so you can change your Requires to numpy-f2py.  For further information, see
https://bugzilla.redhat.com/show_bug.cgi?id=494113

Comment 2 Gwyn Ciesla 2009-04-15 19:19:12 UTC
Does not appear to use f2py.

Comment 3 Gwyn Ciesla 2009-04-17 13:44:13 UTC
Whoops, this broke slingshot and solarwolf, see:

https://bugzilla.redhat.com/show_bug.cgi?id=496218

Comment 4 Gwyn Ciesla 2009-04-17 18:14:46 UTC
Turns out I didn't need to add the f2py dep after all.

https://bugzilla.redhat.com/show_bug.cgi?id=496277

I rebuilt numpy correctly, and corrected pygame in cvs, but I can't rebuild pygame until the corrected numpy is in the buildroots.

Comment 5 Gwyn Ciesla 2009-04-17 20:19:20 UTC
Did a chain build, and submitted a rel-eng ticket.


Note You need to log in before you can comment on or make changes to this bug.